# Spielleitung
Date: 2012-12-22

## Class Spielleitung

- java.lang.Object
- - Spielleitung

    public class Spielleitung
    extends java.lang.Object

Spielleiter für das Würfelspiel Spielleitung . Es werden die Mitspieler verwaltet, der aktuelle Spieler gespeichert, die Würfel erzeugt.

Version:
  1.0 vom 20.06.2012
Author:
  Thomas Schaller

### Constructor Summary

Constructors
Constructor and Description
`Spielleitung()` Erzeugt den Spielleiter für Spielleitung.

### Method Summary

Methods
`void` `addSpieler(Spieler s)` Meldet einen Spieler beim Spielleiter an.
`boolean` `auswerten()` Wertet den letzten Würfelwurf aus.
`Spieler` `getSpieler(int nr)` liefert eine Referenz auf einen Spieler
`Spieler` `getSpielerAmZug()` liefert eine Referenz auf den Spieler der am Zug ist
`Wuerfel` `getWuerfel(int nr)` liefert eine Referenz auf einen Würfel
`boolean` `gewinnwurf()` Testet, ob die aktuelle Würfelkombination ein Gewinnwurf ist.
`boolean` `verlustwurf()` Testet, ob die aktuelle Würfelkombination ein Verlustwurf ist.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Spielleitung

    public Spielleitung()

Erzeugt den Spielleiter für Spielleitung. Es werden auch die notwendigen zwei Würfel erzeugt.

### Method Detail

#### addSpieler

    public void addSpieler(Spieler s)

Meldet einen Spieler beim Spielleiter an. Der Spieler wird darüber informiert, wer der Spielleiter ist.

Parameters:
  `s` - Spieler, der angemeldet werden soll.

#### gewinnwurf

    public boolean gewinnwurf()

Testet, ob die aktuelle Würfelkombination ein Gewinnwurf ist.

Returns:
  true, wenn es sich um einen Gewinnwurf handelt, sonst false.

#### verlustwurf

    public boolean verlustwurf()

Testet, ob die aktuelle Würfelkombination ein Verlustwurf ist.

Returns:
  true, wenn es sich um einen Verlustwurf handelt, sonst false.

#### auswerten

    public boolean auswerten()

Wertet den letzten Würfelwurf aus. Falls es ein Gewinn- oder Verlustwurf ist, werden die Spieler über ihren Sieg / Verlust informiert.

Returns:
  true, wenn es sich um einen Gewinn- oder Verlustwurf handelt und ein neuer Durchgang beginnen muss, sonst false.

#### getWuerfel

    public Wuerfel getWuerfel(int nr)

liefert eine Referenz auf einen Würfel

Parameters:
  `nr` - Nummer des gewünschten Würfels
Returns:
  Referenz auf den Würfel

#### getSpieler

    public Spieler getSpieler(int nr)

liefert eine Referenz auf einen Spieler

Parameters:
  `nr` - Nummer des gewünschten Spielers
Returns:
  Referenz auf den Spieler

#### getSpielerAmZug

    public Spieler getSpielerAmZug()

liefert eine Referenz auf den Spieler der am Zug ist

Returns:
  Referenz auf den Spieler